package ru.myitschool.work.utils

import android.content.Context
import android.content.SharedPreferences

class AuthPreferences(context: Context) {
    private val sharedPreferences: SharedPreferences = context.getSharedPreferences("auth_prefs", Context.MODE_PRIVATE)

    companion object {
        private const val KEY_IS_LOGGED_IN = "is_logged_in"
        private const val KEY_LOGIN = "login"
    }

    fun isLoggedIn(): Boolean {
        return sharedPreferences.getBoolean(KEY_IS_LOGGED_IN, false)
    }

    fun saveLoginState(isLoggedIn: Boolean) {
        sharedPreferences.edit().putBoolean(KEY_IS_LOGGED_IN, isLoggedIn).apply()
    }

    fun saveLogin(login: String) {
        sharedPreferences.edit().putString(KEY_LOGIN, login).apply()
    }

    fun getLogin(): String? {
        return sharedPreferences.getString(KEY_LOGIN, null)
    }

    fun clear() {
        sharedPreferences.edit().clear().apply()
    }
}